package com.plannaplan.models;

/**
 * Model to keep data from /services/users/user response called in
 * UsosApiService
 */
public class UserApiResponse {
    private String name;
    private String surname;

    public UserApiResponse() {
    }

    /**
     * @return user's Surname
     */
    public String getSurname() {
        return surname;
    }

    /**
     * setter for name. Reson to have setters for this class is for case if there
     * would be name and no surname or otherwise
     * 
     * @param surname name to set that was obtained by api request
     */
    public void setSurname(String surname) {
        this.surname = surname;
    }

    /**
     * @return user's Name
     */
    public String getName() {
        return name;
    }

    /**
     * setter for surname. Reson to have setters for this class is for case if there
     * would be name and no surname or otherwise
     * 
     * @param name name to set that was obtained by api request
     */
    public void setName(String name) {
        this.name = name;
    }
}
