package com.plannaplan.responses.models;

import com.plannaplan.entities.Course;
import com.plannaplan.responses.models.abstracts.CoursesResponse;

import io.swagger.annotations.ApiModel;

/**
 * Courses Default Api Response. It extends abstract response - CoursesResponse.
 * It was one of first repsones created in system. Later we resigned from
 * asbstract and used settig
 * <code>spring.jackson.default-property-inclusion = NON_NULL</code> in
 * properties instead.
 */
@ApiModel(description = "Response shows information about course.", value = "CoursesDefaultResponse")
public class CoursesDefaultResponse extends CoursesResponse {

    /**
     * create new instance
     * 
     * @param course course to map to api response
     */
    public CoursesDefaultResponse(Course course) {
        super(course);
    }

}
