package com.plannaplan.responses.mappers;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import com.plannaplan.entities.Exchange;
import com.plannaplan.responses.models.ExchangeResponse;

/**
 * Mappers for Exchange to api responses
 */
public class ExchangeResponseMappers {
    /**
     * @param exchanges lsit of exchanges to be mapped
     * @return list of api responses
     */
    public static final List<ExchangeResponse> mapToDefaultResponse(List<Exchange> exchanges) {
        return exchanges.stream().filter(Objects::nonNull).map(ExchangeResponse::new).collect(Collectors.toList());
    }
}
